Subject: Re: problems in Perl process management
From: "Steven Hartland" <[email-masked]>
To: "Sonam Chauhan" <[email-masked]>, "Jurgen Defurne" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 10 May 2005 12:37:24 +0100

that's by design if u want to kill an entire tree u can do so with process
explorer a free download from www.sysinternals.com.

    Steve
----- Original Message ----- 
From: "Jurgen Defurne"

>I also would like to know if it is possible.
> 
> However, it could be that it has nothing to do with Cygwin. I have
> a Perl script which forks several children and monitors their output.
> 
> If a child fails, then it has no use to run all forked processes further
> and I kill them with the perl 'kill' command. However, I also notice that
> deeper forked processes (grandchildren) refuse to die. This
> script is only run using ActiveState Perl.
> 
> I think it is really a serious Windows problem, because using
> the task manager it also seems not really possible to kill a complete
> process hierarchy.

================================================
This e.mail is private and confidential between Multiplay (UK) Ltd. and the person or entity to whom it is addressed. In the event of misdirection, the recipient is prohibited from using, copying, printing or otherwise disseminating it or any information contained in it. 

In the event of misdirection, illegible or incomplete transmission please telephone (023) 8024 3137
or return the E.mail to [email-masked].

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/